Bug 181286 - Update security/libscrypt libscrypt-1.13 and fixed i386 gcc error
Summary: Update security/libscrypt libscrypt-1.13 and fixed i386 gcc error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Josh Paetzel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-14 12:50 UTC by Horia Racoviceanu
Modified: 2013-11-09 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.85 KB, patch)
2013-08-14 12:50 UTC, Horia Racoviceanu
no flags Details | Diff
libscrypt.diff.txt (1.84 KB, text/plain; charset=US-ASCII)
2013-09-13 21:00 UTC, Horia Racoviceanu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Horia Racoviceanu 2013-08-14 12:50:01 UTC
PORTVERSION=1.13
Fixed: gcc+i386+-fstack-protector fails with undefined reference to `__stack_chk_fail_local'

Fix: Patch attached with submission follows:
Comment 1 Josh Paetzel freebsd_committer 2013-09-01 09:31:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jpaetzel

I'll take it.
Comment 2 Horia Racoviceanu 2013-09-13 21:00:37 UTC
- Update to 1.14
- Fix gcc+i386+-fstack-protector fails with undefined reference to
`__stack_chk_fail_local'
Comment 3 dfilter service freebsd_committer 2013-11-09 21:30:36 UTC
Author: jpaetzel
Date: Sat Nov  9 21:30:28 2013
New Revision: 333338
URL: http://svnweb.freebsd.org/changeset/ports/333338

Log:
  Update to 1.14
  
  PR:	ports/181286
  Submitted by:	Horia Racoviceanu <horia@racoviceanu.com>

Modified:
  head/security/libscrypt/Makefile
  head/security/libscrypt/distinfo

Modified: head/security/libscrypt/Makefile
==============================================================================
--- head/security/libscrypt/Makefile	Sat Nov  9 21:13:57 2013	(r333337)
+++ head/security/libscrypt/Makefile	Sat Nov  9 21:30:28 2013	(r333338)
@@ -2,33 +2,41 @@
 # $FreeBSD$
 
 PORTNAME=	libscrypt
-PORTVERSION=	1.1
-PORTREVISION=	1
+PORTVERSION=	1.14
 CATEGORIES=	security
 
 MAINTAINER=	horia@racoviceanu.com
 COMMENT=	C library for the scrypt key derivation function
 
 LICENSE=	BSD
-LICENSE_FILE=	${WRKSRC}/LICENSE
 
 NO_STAGE=	yes
 USE_LDCONFIG=	yes
 USE_GITHUB=	yes
 GH_ACCOUNT=	technion
-GH_COMMIT=	49f9136
-GH_TAGNAME=	v${PORTVERSION}
+GH_COMMIT=	8e6966e
+GH_TAGNAME=	${GH_COMMIT}
 
-PLIST_FILES+=	include/libscrypt.h \
+PLIST_FILES=	include/libscrypt.h \
 		lib/libscrypt.a \
 		lib/libscrypt.so \
 		lib/libscrypt.so.0
 
+.include <bsd.port.pre.mk>
+
 post-patch:
-	${REINPLACE_CMD} -e '/^CC=gcc/d' -e '/CFLAGS=/s,$$, ${CFLAGS},' \
-	    -e 's,/usr/local,${PREFIX},' ${WRKSRC}/Makefile
+	@${REINPLACE_CMD} -e '/^CC=gcc/d' -e '/CFLAGS=/s,$$, ${CFLAGS},' \
+		-e 's,/usr/local,${PREFIX},' -e 's,install: library,& install-static,' \
+		-e 's,$$(LDFLAGS),,' ${WRKSRC}/Makefile
 
 regression-test: build
 	(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE} check)
 
-.include <bsd.port.mk>
+.if ${ARCH} == i386
+CCVERSION!= ${CC} --version
+.if !empty(CCVERSION:tl:M*gcc*)
+CFLAGS+=    -fno-stack-protector
+.endif
+.endif
+
+.include <bsd.port.post.mk>

Modified: head/security/libscrypt/distinfo
==============================================================================
--- head/security/libscrypt/distinfo	Sat Nov  9 21:13:57 2013	(r333337)
+++ head/security/libscrypt/distinfo	Sat Nov  9 21:30:28 2013	(r333338)
@@ -1,2 +1,2 @@
-SHA256 (libscrypt-1.1.tar.gz) = f6cec579980850604267566731e12d985f16739cd92b828fe28c326f6a7ee798
-SIZE (libscrypt-1.1.tar.gz) = 20276
+SHA256 (libscrypt-1.14.tar.gz) = 08d9f83eee4f2eb00c740357fd3648ce7d038ba4b5af2ee9fdc4319f76113e8b
+SIZE (libscrypt-1.14.tar.gz) = 20562
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Josh Paetzel freebsd_committer 2013-11-09 21:30:51 UTC
State Changed
From-To: open->closed

Committed, thanks!